Name:           sugar-typing-turtle
Version:        26
Release:        3%{?dist}
Summary:        A multilingual animated touch typing trainer

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.sugarlabs.org/go/Activities/Typing_Turtle
Source0:        http://activities.sugarlabs.org/sugar/downloads/file/26483/typing_turtle-%{version}.xo
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  sugar-toolkit
BuildRequires:  gettext
Requires:       sugar

%description
This Sugar activity features a sequence of lessons designed to gradually
introduce students to touch typing, teaching them a few keys at a time
until they have mastered the entire keyboard.

Fun graphics, sounds and characters aim for an entertaining experience.
An on-screen keyboard with overlaid hand positions shows the correct way
to press each key, encouraging good typing habits.


%prep
%setup -q -n TypingTurtle.activity

# remove unnecessary libs and files
rm -rf .pydevproject .project strace.sh

# resolve license file naming issues
mv port/COPYING port/COPYING-port

# calm rpmlint down and fix permissions
sed -i -e '1d;2i#!/usr/bin/python' typingturtle.py
sed -i -e '/^#!\//, 1d' editlessonscreen.py editlessonlistscreen.py

%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.laptop.community.TypingTurtle


%clean
rm -rf $RPM_BUILD_ROOT


%files -f org.laptop.community.TypingTurtle.lang
%defattr(-,root,root,-)
%doc port/COPYING-port COPYING NEWS
%{sugaractivitydir}/TypingTurtle.activity


%changelog
* Thu Mar 18 2010 Sebastian Dziallas <sebastian@when.com> - 26-3
- don't remove port

* Wed Jan 27 2010 Sebastian Dziallas <sebastian@when.com> - 26-2
- remove hidden files

* Wed Jan 27 2010 Sebastian Dziallas <sebastian@when.com> - 26-1
- initial packaging
